﻿using ServiceStack.ServiceHost;
using ServiceStack.ServiceInterface;
using System;

namespace SPS.ServiceCore.API.ServiceInterface
{
    public abstract class SPSServiceBase<TRequest> : RestServiceBase<TRequest>, IRequiresRequestContext
    {
        protected override object Run(TRequest request)
        {
            if (ValidAccess())
            {
                return Run(request);
            }
            else
            {
                throw new ServiceResponseException("Access denied!!! :P");
            }
        }

        private bool ValidAccess()
        {
            return false;
        }
    }
}