﻿using System.Collections.Generic;
using System.Runtime.Serialization;
using SPS.ServiceCore.API.ServiceModel.Types;
using ServiceStack.ServiceHost;
using ServiceStack.ServiceInterface.ServiceModel;

namespace SPS.ServiceCore.API.ServiceModel.Operations
{
    [DataContract]
    [RestService("/partners")]
    public class Partners { }

    [DataContract]
    public class PartnersResponse : IHasResponseStatus
    {
        public PartnersResponse()
        {
            this.ResponseStatus = new ResponseStatus();
            this.Partners = new List<Partner>();
        }

        [DataMember]
        public List<Partner> Partners { get; set; }

        [DataMember]
        public ResponseStatus ResponseStatus { get; set; }
    }
}